Description

In Debian "Jessie", sulla quale I'attuale server fuss si basa, la ErrorPolicy di cups € impostata in /etc/cupsd.conf a

ErrorPolicy stop-printer

In caso di errore la stampante vine messa in stato "paused" in CUPS e questo & fonte di ticket da parte degli utenti in quanto per lo
sblocco é richiesto I'accesso di un utente/amministratore al server CUPS e la modifica dello stato a resume printer da interfaccia web

o riga di comando.

Proponiamo di modificare nella prossima release di fuss-server il valore di default di ErrorPolicy in /etc/cupsd.conf nel seguente

modo:

ErrorPolicy retry-job

che tra I'altro ¢ il default a partire da Debian "Stretch".

Con retry-job come error policy risultano importanti anche i due parametri

JobRetryInterval seconds (default is "30")
JobRetryLimit count (default is "5")

che possono essere lasciati ai loro rispettivi default salvo vi siano controindicazioni non evidenti.

Associated revisions

Revision dd25366d - 04/23/2019 10:41 AM - Elena Grandi
Set the default policy for printers as retry-job. refs: #795

History

#1 - 04/19/2019 11:54 AM - Simone Piccardi

- Assignee changed from Simone Piccardi to Elena Grandi

Al momento ErrorPolicy non viene configurata in /etc/cupsd.conf (in cui la direttiva non compare) ma per le singole stampanti. E' possibile indicarla,
ma questo non cambiera i settaggi delle stampanti gia configurate, per quelle va cambiata la policy esplicitamente con:

lpadmin -p stampante -o printer-—-error-policy=retry-job

Riassegno ad elena per la realizzazione, basta aggiungere:

# Setting Error Policy
ErrorPolicy retry-job

in cima a /etc/cupsd.conf.

#2 - 04/23/2019 10:45 AM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Paolo Dongilli

Implementato in master, testato fuss-server upgrade (ma non le varie combinazioni).

E ora di fare una nuova release di fuss-manager, oppure si pud aspettare?
Le modifiche in attesa al momento sono:

https://work.fuss.bz.it/projects/fuss-server/repository/revisions/master/entry/debian/changelog

#3 - 05/21/2019 11:47 AM - Elena Grandi

Effettuato anche I'upload del pacchetto aggiornato di fuss-server, 8.0.41, che dovrebbe risolvere il problema.

#4 - 06/27/2019 09:22 AM - Elena Grandi

Possiamo chiudere questo ticket? la modifica & stata applicata (e passando a buster non ce ne sara neanche pil bisogno)
